TokenControllerGetParameterTokens Method

Note: This API is now obsolete.

GET /Token/ParameterTokens/ OBSOLETE - Use POST /Token/GetParameterTokens/ instead. Retrieves the parameter tokens.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[ObsoleteAttribute("Deprecated. Use GetParameterTokensWithOptions instead.")]
[HttpGetAttribute]
[ActionNameAttribute("ParameterTokens")]
public IActionResult GetParameterTokens(
	CompatibleDataTypes parameterDataType,
	TokenDisplayTypes displayTypes,
	Guid? projectId = null,
	bool? includeAttributeTokens = null,
	Guid? hierarchyParentId = null,
	string hierarchyUniqueName = "",
	Guid? sessionId = null
)

Parameters

parameterDataType
Type: Dundas.BI.Data.ParametersCompatibleDataTypes
Type of the parameter data.
displayTypes
Type: Dundas.BI.Data.Parameters.TokensTokenDisplayTypes
The display types.
projectId (Optional)
Type: SystemNullableGuid
ID of the project.
includeAttributeTokens (Optional)
Type: SystemNullableBoolean
If the attribute tokens should be included.
hierarchyParentId (Optional)
Type: SystemNullableGuid
ID of the hierarchy parent.
hierarchyUniqueName (Optional)
Type: SystemString
Name of the hierarchy unique.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
An array of ParameterTokenData objects containing the parameter token data, or a status code indicating the problem.
See Also